FsAction (Hadoop 0.20.2-cdh3u4 API)
Date: 2012-05-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.fs.permission
Enum FsAction

    java.lang.Object
      java.lang.Enum<FsAction>
          org.apache.hadoop.fs.permission.FsAction

All Implemented Interfaces:
  Serializable, Comparable<FsAction>

    public enum FsAction

extends Enum<FsAction>

File system actions, e.g. read, write, etc.

Enum Constant Summary
`ALL`
`EXECUTE`
`NONE`
`READ`
`READ_EXECUTE`
`READ_WRITE`
`WRITE`
`WRITE_EXECUTE`

Field Summary
`String` | `SYMBOL` Symbolic representation

Method Summary
`FsAction` | `and(FsAction that)` AND operation.
`boolean` | `implies(FsAction that)` Return true if this action implies that action.
`FsAction` | `not()` NOT operation.
`FsAction` | `or(FsAction that)` OR operation.
`static FsAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FsAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final FsAction NONE

### EXECUTE

    public static final FsAction EXECUTE

### WRITE

    public static final FsAction WRITE

### WRITE_EXECUTE

    public static final FsAction WRITE_EXECUTE

### READ

    public static final FsAction READ

### READ_EXECUTE

    public static final FsAction READ_EXECUTE

### READ_WRITE

    public static final FsAction READ_WRITE

### ALL

    public static final FsAction ALL

Field Detail

### SYMBOL

    public final String SYMBOL

  Symbolic representation

Method Detail

### values

    public static FsAction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FsAction c : FsAction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FsAction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### implies

    public boolean implies(FsAction that)

  Return true if this action implies that action.

  Parameters:
    `that` -

### and

    public FsAction and(FsAction that)

  AND operation.

### or

    public FsAction or(FsAction that)

  OR operation.

### not

    public FsAction not()

  NOT operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation